/v1/spaces/{space_id}/tools/{tool_name}/execute| Name | Type | Required | Description |
|---|---|---|---|
space_id | string (uuid) | Required | |
tool_name | string | Required |
| Name | Type | Required | Description |
|---|---|---|---|
X-API-Key | string | Optional |
argumentsobjectRequiredthread_idobjectmessage_idobjecttool_call_idobjectuploaded_filesstring[]collection_idobjectmodelobjectpii_mappingobjectcurl -X POST '/api-proxy/v1/spaces/{space_id}/tools/{tool_name}/execute' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"arguments": {},
"thread_id": {},
"message_id": {},
"tool_call_id": {},
"uploaded_files": [],
"collection_id": {},
"model": {},
"pii_mapping": {}
}'No response body documented
curl -X POST '/api-proxy/v1/spaces/{space_id}/tools/{tool_name}/execute' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"arguments": {},
"thread_id": {},
"message_id": {},
"tool_call_id": {},
"uploaded_files": [],
"collection_id": {},
"model": {},
"pii_mapping": {}
}'No response body documented